## e-cal-backend-util e-cal-backend-util — Utility functions for backends. |

## Synopsis

    gboolean            e_cal_backend_mail_account_get_default
                                                            (char **address,
                                                             char **name);
    gboolean            e_cal_backend_mail_account_is_valid (char *user,
                                                             char **name);
    const char *        e_cal_backend_status_to_string      (GNOME_Evolution_Calendar_CallStatus status);

## Description

## Details

### e_cal_backend_mail_account_get_default ()

    gboolean            e_cal_backend_mail_account_get_default
                                                            (char **address,
                                                             char **name);

Retrieve the default mail account as stored in Evolution configuration.

`address` : | Placeholder for default address.
`name` : | Placeholder for name.
Returns : | TRUE if there is a default account, FALSE otherwise.

### e_cal_backend_mail_account_is_valid ()

    gboolean            e_cal_backend_mail_account_is_valid (char *user,
                                                             char **name);

Checks that a mail account is valid, and returns its name.

`user` : | User name for the account to check.
`name` : | Placeholder for the account name.
Returns : | TRUE if the account is valid, FALSE if not.

### e_cal_backend_status_to_string ()

    const char *        e_cal_backend_status_to_string      (GNOME_Evolution_Calendar_CallStatus status);

Converts status code to string.

`status` : |
Returns : |